Subject: [bug#61255] [PATCH v2 8/8] news: Add entry for the new 'rpm' guix pack format.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 17 Feb 2023 12:32:18 -0500

Hi Julien!

Julien Lepiller <[email-masked]> writes:

> French:
>
> Nouveau format @samp{rpm} pour la commande @command{guix pack}
>
>
> Vous pouvez désormais produire une archive RPM (avec l'extension .rpm)
> avec la commande @command{guix pack --format=rpm} qui propose donc une
> nouvelle manière de distribuer les logiciels construits avec
> Guix. Voici un exemple permettant de générer une archive RPM pour le
> paquet @code{hello} :
>
> @example
> guix pack --format=rpm --symlink=/usr/bin/hello=bin/hello hello
> @end example
>
> Consultez @command{info \"(guix.fr) Invoquer guix pack\"} pour plus d'informations.

Merci!  Intégré comme suit dans ma branche locale:

--8<---------------cut here---------------start------------->8---
1 file changed, 16 insertions(+), 3 deletions(-)
etc/news.scm | 19 ++++++++++++++++---

modified   etc/news.scm
@@ -4,7 +4,7 @@
 ;; Copyright © 2019–2021 Tobias Geerinckx-Rice <[email-masked]>
 ;; Copyright © 2019, 2020 Miguel Ángel Arruga Vivas <[email-masked]>
 ;; Copyright © 2019, 2020 Konrad Hinsen <[email-masked]>
-;; Copyright © 2019, 2020, 2021 Julien Lepiller <[email-masked]>
+;; Copyright © 2019, 2020, 2021, 2023 Julien Lepiller <[email-masked]>
 ;; Copyright © 2019–2023 Florian Pelz <[email-masked]>
 ;; Copyright © 2020, 2022 Marius Bakke <[email-masked]>
 ;; Copyright © 2020, 2021 Mathieu Othacehe <[email-masked]>
@@ -28,7 +28,8 @@
 
  (entry (commit "63622d2a234b707be5df07d8290a81b3247947e7")
         (title
-         (en "New @samp{rpm} format for the @command{guix pack} command"))
+         (en "New @samp{rpm} format for the @command{guix pack} command")
+         (fr "Nouveau format @samp{rpm} pour la commande @command{guix pack}"))
         (body
          (en "RPM archives (with the .rpm file extension) can now be produced
 via the @command{guix pack --format=rpm} command, providing an alternative
@@ -39,7 +40,19 @@
 guix pack --format=rpm --symlink=/usr/bin/hello=bin/hello hello
 @end example
 
-See @command{info \"(guix) Invoking guix pack\"} for more information.")))
+See @command{info \"(guix) Invoking guix pack\"} for more information.")
+         (fr "Vous pouvez désormais produire une archive RPM (avec l'extension
+.rpm) avec la commande @command{guix pack --format=rpm} qui propose
+donc une nouvelle manière de distribuer les logiciels construits avec
+Guix.  Voici un exemple permettant de générer une archive RPM pour le
+paquet @code{hello} :
+
+@example
+guix pack --format=rpm --symlink=/usr/bin/hello=bin/hello hello
+@end example
+
+Consultez @command{info \"(guix.fr) Invoquer guix pack\"} pour plus
+d'informations.")))
 
  (entry (commit "137b91f03bbb7f1df71cf10c4f79ae57fbcea400")
         (title
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim